POST /v1/notifications/read-all
Mark every unread item as read
Auth. Send the token in the X-Ledger-Token header.
Responses
| Status | Meaning | Body |
|---|---|---|
200 | How many were marked | object |
429 | Too many requests from this client address. Wait the number of seconds in Retry-After, then try again. | Error |
Example response
{
"marked": 0
}
Code samples
Set KEY to your own token first.
curl
curl \
-X POST \
-H X-Ledger-Token:$KEY \
"https://api.sasek.org/ledger/v1/notifications/read-all"
JavaScript
const res = await fetch("https://api.sasek.org/ledger/v1/notifications/read-all", {
method: "POST",
headers: { "X-Ledger-Token": KEY },
});
const data = await res.json();
Python
import json
import os
import urllib.request
request = urllib.request.Request(
"https://api.sasek.org/ledger/v1/notifications/read-all",
method="POST",
headers={
"X-Ledger-Token": os.environ["KEY"],
},
)
with urllib.request.urlopen(request) as response:
print(json.load(response))